unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, ADODB, StdCtrls, Grids, DBGrids;

type
  TForm1 = class(TForm)
    ADOConnection1: TADOConnection;
    Edit1: TEdit;
    ComboBox1: TComboBox;
    Edit2: TEdit;
    ADOQuery1: TADOQuery;
    DataSource1: TDataSource;
    ADOQuery1PATIENT_ID: TAutoIncField;
    ADOQuery1PATIENT_NUMBER: TWideStringField;
    ADOQuery1SEX: TWideStringField;
    ADOQuery1NAME: TWideStringField;
    ADOQuery1DESCRIPTION: TWideStringField;
    Edit3: TEdit;
    Edit4: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Edit1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ADOConnection1.Connected := True;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  ADOConnection1.Connected := False;
end;

procedure TForm1.Edit1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var
  FM2 : TForm2;
  P : TPoint;
begin
  if Key = vk_Return then
    begin
      ADOQuery1.CLOSE;
      ADOQuery1.Parameters.ParamByName('P_PATIENT_NUMBER').Value := TEdit(Sender).Text;
      ADOQuery1.Open;
      if ADOQuery1.IsEmpty then
        begin
          ComboBox1.Text := '';
          Edit2.Text := '';
          ShowMessage('{ŦXơI');
        end
      else
        begin
          if ADOQuery1.RecordCount = 1 then
            begin
              ComboBox1.Text := ADOQuery1.FieldValues['sex'];
              Edit2.Text := ADOQuery1.FieldValues['name'];
            end
          else
            begin
              FM2 := TForm2.Create(Self);
              FM2.Parent := NIL;
              FM2.BorderStyle := bsNone;
              P.X := Edit1.Left;
              P.Y := Edit1.Top + Edit1.Height;

              FM2.Left := Self.ClientToScreen(P).X;;
              FM2.Top := Self.ClientToScreen(P).Y;

              try
                if FM2.ShowModal = mrOK then
                  begin
                    Tedit(Sender).Text := ADOQuery1.FieldValues['patient_number'];
                    ComboBox1.Text := ADOQuery1.FieldValues['sex'];
                    Edit2.Text := ADOQuery1.FieldValues['name'];
                  end;
              finally
                FreeAndNil(FM2);
              end;
            end;
        end;
      ADOQuery1.Close;
    end;
end;

end.
